Skip to main content

Create Prospect: EliseAI

POSThttps://api.propexo.com/crm/v1/prospects/eliseai

Creates a prospect in EliseAI.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    prospect_sourcestringrequired

    The name of the source of the lead

    email_1string

    The primary email address associated with the prospect. This field and/or the phone_1 field are required

    phone_1string

    Primary phone number associated with the prospect. Must be in E.164 format (e.g. +12025550179). This field and/or the email_1 field are required

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring

    Notes associated with the prospect

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. Only the first value is sent to EliseAI. 0 represents a studio unit.

    Possible values: >= 0 and <= 4

    lease_term_in_monthsinteger

    The amount of months for the lease term

    Possible values: >= 1

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    prospect_sourcestringrequired

    The name of the source of the lead

    email_1string | nullnullablerequired

    The primary email address associated with the prospect. This field and/or the phone_1 field are required

    phone_1string | nullnullablerequired

    Primary phone number associated with the prospect. Must be in E.164 format (e.g. +12025550179). This field and/or the email_1 field are required

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    first_namestring | nullnullablerequired

    The first name associated with the prospect

    last_namestring | nullnullablerequired

    The last name associated with the prospect

    move_in_datestring | nullnullablerequired

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_minimum_in_centsinteger | nullnullablerequired

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger | nullnullablerequired

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring | nullnullablerequired

    Notes associated with the prospect

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]nullablerequired

    Possible values: >= 0 and <= 4

    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    Possible values: >= 1

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/prospects/eliseai
curl -X POST https://api.propexo.com/crm/v1/prospects/eliseai \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"prospect_source": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_source": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"desired_num_bedrooms": "Unknown Type: array,null",
"lease_term_in_months": 0
}
}